import { View, Text, Input } from "@tarojs/components"
import Taro, { useDidShow } from "@tarojs/taro"
import { Button, Form, FormItem, Icon } from "@antmjs/vantui";

import { useEffect, useState } from "react";
import { useModel } from "../../store";
import { getPhoneuser, setUserInfo } from "../../services/user";
// import BottomMoadl from '@/components/BottomMoadl/index'
import './style.less'


export default (props) => {
  const [phone, setPhone] = useState('')

  const { deptName, person, sessionKey } = useModel('userData')
  let form = null
  const onSubmit = (e) => {
    form.validateFields((errorMessage, fieldValues) => {
      if (errorMessage && errorMessage.length) {
        return console.info('errorMessage', errorMessage)
      } else {
        console.info(fieldValues)
        setUserInfo({ ...fieldValues, person: person?.personId }).then(() => {
          Taro.showToast({
            title: '保存成功',
            icon: 'none',
            duration: 2000
          }).then(() => {
            Taro.redirectTo({
              url: '/pages/index/index'
            })
          })

        })

      }
    })


  }
  const goDepartmen = () => {
    Taro.navigateTo({
      url: '/pages/DepartmentSelection/index'
    })

  }
  const getPhone = (e) => {
    console.log('deptName', deptName);
    console.log('手机号', e);
    const { errMsg, ...data } = e.detail || {}

    getPhoneuser({ ...data, sessionKey: sessionKey }).then((res) => {
      setPhone(res?.phoneNumber)
    })

  }
  return (
    <View className='page-index'>
      <Form
        initialValues={{
          phone: phone,
          deptName: deptName,

        }}
        ref={(el) => (form = el)}
        onFinish={(e) => onSubmit(e)}
      >
        <FormItem
          label='用户名'
          name='personName'
          required
          trigger='onInput'
          validateTrigger='onBlur'
          // taro的input的onInput事件返回对应表单的最终值为e.detail.value
          valueFormat={(e) => e.detail.value}
        >
          <Input placeholder='请输入用户名' />
        </FormItem>
        <FormItem
          label='手机号'
          name='phone'
          trigger='onInput'
          required
          validateTrigger='onBlur'
          valueFormat={(e) => e.detail.value}
        >
          <Input placeholder='请输入手机号' type='number' value={phone} maxlength={11} disabled />
          <Button
            plain
            hairline
            size='small'
            type='info'
            required

            openType='getPhoneNumber'
            onGetPhoneNumber={getPhone}
          >
            授权手机
          </Button>
        </FormItem>

        <FormItem
          label='身份证'
          name='idNo'
          required
          trigger='onInput'
          validateTrigger='onBlur'
          // taro的input的onInput事件返回对应表单的最终值为e.detail.value
          valueFormat={(e) => e.detail.value}
        >
          <Input placeholder='请输入身份证号' type='number' maxlength={18} />
        </FormItem>

        <FormItem
          label='科室'
          name='deptName'
          trigger='onInput'
          required
          validateTrigger='onBlur'
          // taro的input的onInput事件返回对应表单的最终值为e.detail.value
          valueFormat={(e) => e.detail.value}
        >
          <Input placeholder='请选择科室' value={deptName} disabled onClick={goDepartmen} />
        </FormItem>
        <View className='buttom-box'>
          <Button
            type='info'
            size='normal'
            formType='submit'
            className='buttom-box-buttonSubmit'
          >
            提交
          </Button>
        </View>

      </Form>
    </View>
  )
}
